> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Cost estimate

> Estimate cost of action execution



## OpenAPI

````yaml /openapi.json post /api/v1/action/cost
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/action/cost:
    post:
      tags:
        - Action Route
      summary: Cost estimate
      description: Estimate cost of action execution
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EstimateGasLimitDto'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EstimatedCost'
      security:
        - SecurityScheme: []
components:
  schemas:
    EstimateGasLimitDto:
      required:
        - funcSignature
        - walletAddress
        - params
      type: object
      properties:
        contractId:
          format: int64
          description: Contract id of wallet action
          type: integer
        funcSignature:
          description: >-
            Signature of the function from the contract abi associated with the
            extractor action
          type: string
        walletAddress:
          description: The direct address of the extractor contract
          type: string
          example: '0xdac17f958d2ee523a2206206994597c13d831ec7'
        params:
          description: >-
            Input parameters of the function from the contract abi associated
            with the extractor action
          type: array
          items:
            $ref: '#/components/schemas/ParamDto'
    EstimatedCost:
      type: object
      properties:
        cost:
          type: integer
        price:
          type: integer
        tip:
          type: string
    ParamDto:
      required:
        - name
        - value
      type: object
      properties:
        name:
          description: Param name
          minLength: 1
          type: string
        value:
          description: Param value
          minLength: 1
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````